#!/bin/bash

if [[ $# -ne 2 ]]; then
    echo "Usage: $0 <process_name> <log_name>"
    exit 1
fi

process_name=$1
log_name=$2
has_mas=0
while true; do
    timestamp=$(date +"%Y-%m-%d %H:%M:%S")
    process_info=$(pmap -x $(pgrep mas))
    if [[ -n "$process_info" ]]; then
        if [[ $has_mas == 0 ]]; then
            echo "=======================================================" | tee -a ${log_name}
        fi
        echo "${timestamp}------------------------------------" | tee -a ${log_name}
        echo "$process_info" | tee -a ${log_name}
        has_mas=1
    else
        echo "No process found for ${process_name}."
        has_mas=0
    fi

    sleep 180
done
