#!/bin/bash

if [[ $# -ne 2 ]]; then
    echo "Usage: $0 <process_name> <log_name>"
    exit 1
fi

process_name=$1
log_name=$2
has_mas=0
while true; do
    timestamp=$(date +"%Y-%m-%d %H:%M:%S")
    process_info=$(smem -k -s uss | grep -v grep | grep -v $(basename $0) | grep -v bash | grep ${process_name})
    process_info=$(echo "$process_info" | awk '{$1=$1;print}')
    if [[ -n "$process_info" ]]; then
        # uss, pss, rss
        uss=$(echo $process_info | awk '{print $(NF-2)}')
        pss=$(echo $process_info | awk '{print $(NF-1)}')
        rss=$(echo $process_info | awk '{print $NF}')
        if [[ $has_mas == 0 ]]; then
            echo "=================================================" | tee -a ${log_name}
        fi
        echo "$timestamp $uss $pss $rss" | tee -a ${log_name}
        has_mas=1
    else
        echo "No process found for ${process_name}."
        has_mas=0
    fi

    sleep 180
done
