#!/bin/bash

if [[ $# -ne 2 ]]; then
    echo "Usage: $0 <process_name> <log_name>"
    exit 1
fi

process_name=$1
log_name=$2
has_mas=0
while true; do
    timestamp=$(date +"%Y-%m-%d %H:%M:%S")
    process_info=$(top -b -p $(pgrep ${process_name}) -n 1 | grep ${process_name})
    process_info=$(echo "$process_info" | awk '{$1=$1;print}')
    if [[ -n "$process_info" ]]; then
        # VIRT, RES, SHR, %CPU, %MEM
        virt=$(echo $process_info | awk '{print $5}')
        res=$(echo $process_info | awk '{print $6}')
        shr=$(echo $process_info | awk '{print $7}')
        cpu=$(echo $process_info | awk '{print $9}')
        mem=$(echo $process_info | awk '{print $10}')
        if [[ $has_mas == 0 ]]; then
            echo "=================================================" | tee -a ${log_name}
        fi
        echo "$timestamp $virt $res $shr $cpu $mem" | tee -a ${log_name}
        has_mas=1
    else
        echo "No process found for ${process_name}."
        has_mas=0
    fi

    sleep 180
done
